== Why is this an issue?

Shared naming conventions allow teams to collaborate efficiently. This rule checks that all variables names that are used to store/cache jQuery objects match a provided regular expression.


ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

=== Message

Rename variable "XXX" to match the regular expression ${format}.


=== Parameters

.format
****

----
^\\$[a-z][a-zA-Z0-9]*$
----

Regular expression used to check the variable names against
****


'''
== Comments And Links
(visible only on this page)

=== on 17 Mar 2015, 10:08:41 Linda Martin wrote:
\[~ann.campbell.2] Assigning to you for completion and review. 

=== on 1 Nov 2019, 17:27:35 Elena Vilchik wrote:
See \https://github.com/SonarSource/SonarJS/issues/1698

endif::env-github,rspecator-view[]
